### org.jfree.layouting.input.style.parser

# Class StyleRuleFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.StyleRuleFactory`

Implemented Interfaces:
  ResourceFactory

`public class StyleRuleFactory`
`extends java.lang.Object`
`implements ResourceFactory`

Parses a single style rule.

Author:
  Thomas Morgner

  ## Constructor Summary

  `StyleRuleFactory()`

  ## Method Summary

  `Resource`

  `create(ResourceManager manager, ResourceData data, ResourceKey context)`

  `Class`

  `getFactoryType()`

  `void`

  `initializeDefaults()`

## Constructor Details

### StyleRuleFactory

    public StyleRuleFactory()

## Method Details

### create

    public Resource create(ResourceManager manager,
                           ResourceData data,
                           ResourceKey context)
                throws ResourceCreationException,
                       ResourceLoadingException

### getFactoryType

    public Class getFactoryType()

### initializeDefaults

    public void initializeDefaults()